This is the documentation for Cloudera Navigator 2.0.x.
Documentation for other versions is available at Cloudera Documentation.

Cloudera Navigator Requirements

Cloudera Manager Requirements

This section describes the Cloudera Navigator requirements for Cloudera Manager.

Cloudera Navigator 2 is available with Cloudera Manager 5.1. For information on the requirements for installing Cloudera Manager, see Requirements for Cloudera Manager.

Cloudera Navigator Auditing Component

This section describes the databases, service versions, and audited operations supported by the Cloudera Navigator auditing component.

Supported Audit Databases

The Cloudera Navigator auditing component supports the following databases for storing audit events:
Database OS CDH Version
MySQL 5.0 RHEL 5.7 CDH 4
MySQL 5.1 RHEL 6.4, Ubuntu 10.04, Debian 6.0 CDH 4
MySQL 5.5 SLES 11, Ubuntu 12.04, Debian 7.0 CDH 5
MySQL 5.6 CentOS 6.4 CDH 5
Oracle 11gr2 Oracle Database 11g Enterprise Edition Release 11.2.0.1.0 CDH 4 and CDH 5
PostgreSQL 8.4 RHEL5.7, RHEL 6.4, Ubuntu 10.04, Ubuntu 12.04, Debian 6.0 CDH 4
PostgreSQL 9.1 SLES 11, Debian 7.0 CDH 5
PostgreSQL 9.2 CentOS 6.4 CDH 5

Supported Service Versions and Audited Operations

  • HDFS - Minimum supported version: CDH 4.0.0.
    The captured operations are:
    • Operations that access or modify a file's or directory's data or metadata
    • Operations denied due to lack of privileges
  • HBase - Minimum supported version: CDH 4.0.0.
      Note:
    • In CDH versions less than 4.2.0, for grant and revoke operations, the operation in log events is ADMIN
    • In simple authentication mode, if the HBase Secure RPC Engine property is false (the default), the username in log events is UNKNOWN. To see a meaningful user name:
      1. Click the HBase service.
      2. Click the Configuration tab.
      3. Select Service-wide > Security.
      4. Set the HBase Secure RPC Engine property to true.
      5. Save the change and restart the service.
  • Hive - Minimum supported versions: CDH 4.2.0, CDH 4.4.0 for operations denied due to lack of privileges.
    The captured operations are:
    • Operations (except grant, revoke, and metadata access only) sent to HiveServer2
    • Operations denied due to lack of privileges
      Note:
    • Actions taken against Hive via the Hive CLI are not audited. Therefore if you have enabled auditing you should disable the Hive CLI to prevent actions against Hive that are not audited.
    • In simple authentication mode, the username in log events is the username passed in the HiveServer2 connect command. If you do not pass a username in the connect command, the username is log events is anonymous.
  • Hue - Minimum supported version: CDH 4.2.0.
    The captured operations are:
    • Operations (except grant, revoke, and metadata access only) sent to Beeswax Server
      Note: You do not directly configure the Hue service for auditing. Instead, when you configure the Hive service for auditing, operations sent to the Hive service through Beeswax appear in the Hue service audit log.
  • Cloudera Impala - Minimum supported version: Cloudera Impala 1.2.1.
    The captured operations are:
    • Queries denied due to lack of privileges
    • Queries that pass analysis
  • Sentry
    The captured operations are:
    • Operations sent to the HiveServer2 and the Hive Metastore Server roles
    • Add and delete roles, assign roles to groups and remove roles from groups, create and delete privileges, grant and revoke privileges
    • Operations denied due to lack of privileges
      Note: You do not directly configure the Sentry service for auditing. Instead, when you configure the Hive service for auditing, grant, revoke, and metadata operations sent to the Hive Metastore Server appear in the Hive service audit log.

Cloudera Navigator Metadata Component

This section describes the product versions, components, and browsers supported by the Cloudera Navigator metadata component.

Supported Product Versions

CDH 4.4.0 and higher for all components except Pig. For Pig, CDH 4.6.0 and higher. The supported components are:

Supported Browsers for the Metadata UI

  • Firefox 11 or later
  • Google Chrome
  • Safari 5 or later